Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1923467 - m2crypto: FTBFS in Fedora rawhide/f34
Summary: m2crypto: FTBFS in Fedora rawhide/f34
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: m2crypto
Version: 34
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Neal Gompa
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: RejectedFreezeException
Depends On:
Blocks: F34FTBFS
TreeView+ depends on / blocked
 
Reported: 2021-02-01 16:57 UTC by Fedora Release Engineering
Modified: 2021-03-19 19:54 UTC (History)
5 users (show)

Fixed In Version: m2crypto-0.37.1-1.fc32 m2crypto-0.37.1-1.fc33 m2crypto-0.37.1-1.fc34
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-03-03 23:26:32 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)
build.log (deleted)
2021-02-01 16:57 UTC, Fedora Release Engineering
no flags Details
root.log (deleted)
2021-02-01 16:57 UTC, Fedora Release Engineering
no flags Details
state.log (deleted)
2021-02-01 16:57 UTC, Fedora Release Engineering
no flags Details

Description Fedora Release Engineering 2021-02-01 16:57:21 UTC
m2crypto failed to build from source in Fedora rawhide/f34

https://koji.fedoraproject.org/koji/taskinfo?taskID=60910850


For details on the mass rebuild see:

https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild
Please fix m2crypto at your earliest convenience and set the bug's status to
ASSIGNED when you start fixing it. If the bug remains in NEW state for 8 weeks,
m2crypto will be orphaned. Before branching of Fedora 35,
m2crypto will be retired, if it still fails to build.

For more details on the FTBFS policy, please visit:
https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/

Comment 1 Fedora Release Engineering 2021-02-01 16:57:24 UTC
Created attachment 1753405 [details]
build.log

file build.log too big, will only attach last 32768 bytes

Comment 2 Fedora Release Engineering 2021-02-01 16:57:25 UTC
Created attachment 1753406 [details]
root.log

file root.log too big, will only attach last 32768 bytes

Comment 3 Fedora Release Engineering 2021-02-01 16:57:26 UTC
Created attachment 1753407 [details]
state.log

Comment 4 Ben Cotton 2021-02-09 15:53:00 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 34 development cycle.
Changing version to 34.

Comment 5 Fedora Release Engineering 2021-02-14 04:25:25 UTC
Dear Maintainer,

your package has an open Fails To Build From Source bug for Fedora 34.
Action is required from you.

If you can fix your package to build, perform a build in koji, and either create
an update in bodhi, or close this bug without creating an update, if updating is
not appropriate [1]. If you are working on a fix, set the status to ASSIGNED to
acknowledge this. If you have already fixed this issue, please close this Bugzilla report.

Following the policy for such packages [2], your package will be orphaned if
this bug remains in NEW state more than 8 weeks (not sooner than 2021-03-29).

A week before the mass branching of Fedora 35 according to the schedule [3],
any packages not successfully rebuilt at least on Fedora 33 will be
retired regardless of the status of this bug.

[1] https://docs.fedoraproject.org/en-US/fesco/Updates_Policy/
[2] https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/
[3] https://fedorapeople.org/groups/schedule/f-35/f-35-key-tasks.html

Comment 6 Fedora Release Engineering 2021-02-14 04:25:25 UTC
Dear Maintainer,

your package has an open Fails To Build From Source bug for Fedora 34.
Action is required from you.

If you can fix your package to build, perform a build in koji, and either create
an update in bodhi, or close this bug without creating an update, if updating is
not appropriate [1]. If you are working on a fix, set the status to ASSIGNED to
acknowledge this. If you have already fixed this issue, please close this Bugzilla report.

Following the policy for such packages [2], your package will be orphaned if
this bug remains in NEW state more than 8 weeks (not sooner than 2021-03-29).

A week before the mass branching of Fedora 35 according to the schedule [3],
any packages not successfully rebuilt at least on Fedora 33 will be
retired regardless of the status of this bug.

[1] https://docs.fedoraproject.org/en-US/fesco/Updates_Policy/
[2] https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/
[3] https://fedorapeople.org/groups/schedule/f-35/f-35-key-tasks.html

Comment 7 Neal Gompa 2021-02-14 16:35:09 UTC
Working on it.

Comment 8 Jeff Law 2021-02-23 16:33:39 UTC
FWIW, this seems unlikely to be a GCC issue.  I get the same failures building the f34 .src.rpm in f33 and f34 mock environments *and* older spins on f33 worked.  That may point to an expired certificate being used in the testsuite -- we saw similar problems in another package a month or two ago.  I'm not investigating this further.

Comment 9 Fedora Update System 2021-02-24 13:59:52 UTC
FEDORA-2021-7c407d2b85 has been submitted as an update to Fedora 32. https://bodhi.fedoraproject.org/updates/FEDORA-2021-7c407d2b85

Comment 10 Fedora Blocker Bugs Application 2021-02-24 17:52:44 UTC
Proposed as a Freeze Exception for 34-beta by Fedora user ngompa using the blocker tracking app because:

 Fixes FTBFS for F34+

Comment 11 Fedora Update System 2021-02-24 19:18:45 UTC
FEDORA-2021-794f13ac68 has been pushed to the Fedora 34 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-794f13ac68`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-794f13ac68

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 12 Fedora Update System 2021-02-24 21:41:57 UTC
FEDORA-2021-7c407d2b85 has been pushed to the Fedora 32 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-7c407d2b85`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-7c407d2b85

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 13 Fedora Update System 2021-02-24 21:57:48 UTC
FEDORA-2021-78ab664386 has been pushed to the Fedora 33 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-78ab664386`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-78ab664386

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 14 Geoffrey Marr 2021-03-01 21:24:17 UTC
Discussed during the 2021-03-01 blocker review meeting: [0]

The decision to classify this bug as a "RejectedFreezeException" was made as the proposed fix here is a version bump. We find that the benefit of fixing FTBFS is minor and doesn't justify the risk of a version bump.

[0] https://meetbot.fedoraproject.org/fedora-blocker-review/2021-03-01/f34-blocker-review.2021-03-01-17.01.txt

Comment 15 Neal Gompa 2021-03-01 21:30:58 UTC
The version bump is literally to fix the code with newer versions of OpenSSL. I was going to have to update it anyway because of OpenSSL 1.1.1i, which is why this is present as an update for F32 and F33 too.

Comment 16 Fedora Update System 2021-03-03 23:26:32 UTC
FEDORA-2021-7c407d2b85 has been pushed to the Fedora 32 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 17 Fedora Update System 2021-03-04 20:09:44 UTC
FEDORA-2021-78ab664386 has been pushed to the Fedora 33 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 18 Fedora Update System 2021-03-19 17:37:18 UTC
FEDORA-2021-794f13ac68 has been pushed to the Fedora 34 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 19 Fedora Update System 2021-03-19 19:54:56 UTC
FEDORA-2021-794f13ac68 has been pushed to the Fedora 34 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.